Overview | Package | Class | Tree | Deprecated | Index | Help
| JDBC eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.jdbcadapter.appconn
Class DbApplicationConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationConnectionException
                  com.stc.connector.jdbcadapter.appconn.DbApplicationConnectionException

All Implemented Interfaces:
  java.io.Serializable

    public class DbApplicationConnectionException

extends com.stc.connector.appconn.common.ApplicationConnectionException

Exception class for DB application connection.

Version:
  $Revision: 1.2 $
Author:
  $Author: cmbuild $
See Also:
  Serialized Form

Constructor Summary
`DbApplicationConnectionException()` Creates a new instance of `DbApplicationConnectionException` without detail message.
`DbApplicationConnectionException(java.lang.String msg)` Constructs an instance of `DbApplicationConnectionException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DbApplicationConnectionException

    public DbApplicationConnectionException()

  Creates a new instance of `DbApplicationConnectionException` without detail message.

### DbApplicationConnectionException

    public DbApplicationConnectionException(java.lang.String msg)

  Constructs an instance of `DbApplicationConnectionException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JDBC eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD